> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company Admin Onboarding Data

> Same as GetAdminOnboardingData but first requires company admin page view access.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/get-company-admin-onboarding-data
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-company-admin-onboarding-data:
    post:
      operationId: getCompanyAdminOnboardingData
      summary: Get Company Admin Onboarding Data
      description: >-
        Same as GetAdminOnboardingData but first requires company admin page
        view access.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetCompanyAdminOnboardingDataRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCompanyAdminOnboardingDataResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetCompanyAdminOnboardingDataRequest:
      type: object
      properties: {}
    GetCompanyAdminOnboardingDataResponse:
      oneOf:
        - $ref: '#/components/schemas/GetCompanyAdminOnboardingDataResponse1'
        - type: 'null'
    GetCompanyAdminOnboardingDataResponse1:
      type: object
      properties:
        isTokuAdmin:
          type: boolean
        isMigrationOnboardingExempt:
          type: boolean
        allowsPayrollOnly:
          type: boolean
        hideTokuContractor:
          type: boolean
        loginEmailPolicy:
          type: object
          properties:
            requirePersonalLoginEmail:
              type: boolean
            companyEmailDomains:
              type: array
              items:
                type: string
          required:
            - requirePersonalLoginEmail
            - companyEmailDomains
        completedSteps:
          type: array
          items:
            type: string
        companyInfo:
          type: object
          properties:
            legalName:
              type: string
            tradingName:
              type: string
            entityType:
              type: string
            country:
              type: string
            addressLine1:
              type: string
            addressLine2:
              type: string
            city:
              type: string
            stateProvince:
              type: string
            postalCode:
              type: string
            taxIdLastFour:
              type: string
            hiresUSEmployees:
              type:
                - boolean
                - 'null'
          required:
            - legalName
            - tradingName
            - entityType
            - country
            - addressLine1
            - addressLine2
            - city
            - stateProvince
            - postalCode
            - taxIdLastFour
            - hiresUSEmployees
        paymentConfig:
          type: object
          properties:
            mode:
              type:
                - string
                - 'null'
            selectedToken:
              type:
                - string
                - 'null'
            selectedNetwork:
              type:
                - string
                - 'null'
          required:
            - mode
            - selectedToken
            - selectedNetwork
        selectedProducts:
          type: array
          items:
            type: string
        fundingConfig:
          type: object
          properties:
            bankSetupComplete:
              type: boolean
            cryptoFundingType:
              type:
                - string
                - 'null'
          required:
            - bankSetupComplete
            - cryptoFundingType
        orgBankAccount:
          type:
            - object
            - 'null'
          properties:
            orgBankAccountId:
              type: string
            bankCountryCode:
              type: string
            currency:
              type: string
            accountHolderName:
              type: string
            bankName:
              type: string
            accountType:
              type: string
            accountNumberLastFour:
              type: string
            countryExtensions:
              type: object
              additionalProperties:
                type: string
            useForPlatformFees:
              type: boolean
            verified:
              type: boolean
          required:
            - orgBankAccountId
            - bankCountryCode
            - currency
            - accountHolderName
            - bankName
            - accountType
            - accountNumberLastFour
            - countryExtensions
            - useForPlatformFees
            - verified
        canRevealOrgBankDetails:
          type: boolean
        insuranceSelection:
          type: object
          properties:
            healthPlan:
              type:
                - string
                - 'null'
            dentalPlan:
              type:
                - string
                - 'null'
          required:
            - healthPlan
            - dentalPlan
        businessVerificationComplete:
          type: boolean
        personaInquiryId:
          type:
            - string
            - 'null'
        stepSummaries:
          type: object
          additionalProperties:
            type: string
      required:
        - isTokuAdmin
        - isMigrationOnboardingExempt
        - allowsPayrollOnly
        - hideTokuContractor
        - loginEmailPolicy
        - completedSteps
        - companyInfo
        - paymentConfig
        - selectedProducts
        - fundingConfig
        - orgBankAccount
        - canRevealOrgBankDetails
        - insuranceSelection
        - businessVerificationComplete
        - personaInquiryId
        - stepSummaries
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
